eoContinue(3)

NAME
eoContinue - Termination condition for the genetic algorithm Takes the population as input, returns true for continue, false for termination.

SYNOPSIS

#include <eoContinue.h>

Inherits eoUF< const eoPop< EOT > &, bool >, and eoPersistent.

Inherited by eoCheckPoint< EOT >, eoCombinedContinue< EOT >, eoCtrlCContinue< EOT >, eoEvalContinue< EOT >, eoFitContinue< EOT >, eoGenContinue< EOT >, eoPeriodicContinue< EOT >, and eoSteadyFitContinue< EOT >.

  Public Member Functions
virtual std::string className (void) const
void readFrom (std::istream &__is)
Read object.
void printOn (std::ostream &__os) const
Write object.

Detailed Description

  template<class EOT> class eoContinue< EOT >
Termination condition for the genetic algorithm Takes the population as input, returns true for continue, false for termination.

Definition at line 37 of file eoContinue.h.

Member Function Documentation

  template<class EOT> void eoContinue< EOT >::readFrom (std::istream & __is) [inline, virtual]

Read object.

Parameters:
    _is A std::istream.

Exceptions:
    runtime_std::exception If a valid object can't be read.

Implements eoPersistent.

Reimplemented in eoGenContinue< EOT >.

Definition at line 42 of file eoContinue.h.

  template<class EOT> void eoContinue< EOT >::printOn (std::ostream & __os) const [inline, virtual]

Write object.

It's called printOn since it prints the object on a stream.

Parameters:
    _os A std::ostream.

Implements eoPrintable.

Reimplemented in eoGenContinue< EOT >.

Definition at line 47 of file eoContinue.h.

Author

Generated automatically by Doxygen for EO from the source code.